import { ShapeSeriesBase } from "./ShapeSeriesBase";
import { ShapeAxisInfoCache } from "./ShapeAxisInfoCache";
import { StyleSelector } from "./StyleSelector";
import { Style } from "igniteui-angular-core";
import { MarkerType } from "./MarkerType";
import { DataTemplate } from "igniteui-angular-core";
import { Brush } from "igniteui-angular-core";
import { CollisionAvoidanceType } from "./CollisionAvoidanceType";
import { MarkerOutlineMode } from "./MarkerOutlineMode";
import { MarkerFillMode } from "./MarkerFillMode";
import { Series } from "./Series";
import { Rect } from "igniteui-angular-core";
import { Type, Point } from "igniteui-angular-core";
import { SeriesView } from "./SeriesView";
import { OwnedPoint } from "./OwnedPoint";
import { ShapeSeriesViewBase } from "./ShapeSeriesViewBase";
import { Marker } from "./Marker";
import { DataContext } from "igniteui-angular-core";
import { IDictionary$2 } from "igniteui-angular-core";
import { HashPool$2 } from "igniteui-angular-core";
import { List$1 } from "igniteui-angular-core";
import { SeriesPointOfInterest } from "./SeriesPointOfInterest";
import { ChartSelection } from "./ChartSelection";
import { SeriesSelectionBehavior } from "./SeriesSelectionBehavior";
import { FrameworkElement } from "igniteui-angular-core";
import { NumericMarkerManager } from "./NumericMarkerManager";
import { Size } from "igniteui-angular-core";
import { PathGeometry } from "igniteui-angular-core";
import { PointCollection } from "igniteui-angular-core";
import { RenderingContext } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class ScatterPolygonSeries extends ShapeSeriesBase {
    static $t: Type;
    protected bj(): Series;
    protected get_fq(): boolean;
    protected get_fl(): boolean;
    constructor();
    protected yd(): boolean;
    protected zl(a: SeriesView): void;
    aa2(a: ScatterPolygonSeriesView): void;
    private aal;
    protected cs(): SeriesView;
    qz(a: SeriesView): void;
    aai: ScatterPolygonSeriesView;
    aaj: ShapeAxisInfoCache;
    private static abp;
    private aag;
    private aah;
    protected get_hasMarkers(): boolean;
    protected get_el(): boolean;
    vj(): Brush;
    vk(): Brush;
    sx(): DataTemplate;
    ma(): string;
    aak: StyleSelector;
    abr: Style;
    aaf: MarkerType;
    aa6: DataTemplate;
    aan: number;
    io(): number;
    aa4: DataTemplate;
    aa5: DataTemplate;
    abn: Brush;
    abl: Brush;
    abo: Brush;
    abm: Brush;
    abq: Style;
    z6: CollisionAvoidanceType;
    private aab;
    get aac(): MarkerOutlineMode;
    set aac(a: MarkerOutlineMode);
    aae(): MarkerOutlineMode;
    sj(a: MarkerOutlineMode): void;
    aad: MarkerOutlineMode;
    private z7;
    get z8(): MarkerFillMode;
    set z8(a: MarkerFillMode);
    aaa(): MarkerFillMode;
    si(a: MarkerFillMode): void;
    sk(a: number): void;
    z9: MarkerFillMode;
    protected sf(): void;
    protected qq(): void;
    protected q7(a: any, b: string, c: any, d: any): void;
    a2(a: Point, b: boolean): DataContext;
    aa3(a: IDictionary$2<any, OwnedPoint>, b: HashPool$2<any, Marker>): void;
    eb(a: List$1<SeriesPointOfInterest>, b: boolean, c: boolean, d: number, e: boolean): boolean;
    z5(a: ScatterPolygonSeriesView, b: HashPool$2<any, Marker>, c: Point[], d: Rect, e: Rect): Point[];
    aam(a: HashPool$2<any, Marker>, b: List$1<number>): List$1<number>;
    ak(a: Rect, b: SeriesSelectionBehavior): ChartSelection[];
    p2(a: Rect, b: List$1<ChartSelection>, c: SeriesSelectionBehavior): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class ScatterPolygonSeriesView extends ShapeSeriesViewBase {
    static $t: Type;
    constructor(a: ScatterPolygonSeries);
    au(): void;
    get dg(): NumericMarkerManager;
    dk: boolean;
    protected d2(a: IDictionary$2<any, OwnedPoint>): void;
    protected da(): Point[];
    protected dl(): List$1<number>;
    private db;
    private dm;
    private dh;
    private df;
    protected c5(a: number, b: List$1<PointCollection>): PathGeometry;
    cm(a: FrameworkElement, b: any, c: boolean): void;
    protected ck(a: FrameworkElement, b: PathGeometry): void;
    private dj;
    di: HashPool$2<any, Marker>;
    dw(a: (arg1: Marker) => void): void;
    dy(a: HashPool$2<any, Marker>): void;
    de(): Marker;
    protected dn: List$1<Marker>;
    b4(a: Point): Marker;
    private dd;
    d0(a: Marker): void;
    dz(a: Marker): void;
    d1(a: Marker): void;
    d3(a: boolean): void;
    protected bj(a: any, b: number): void;
    private dc;
    protected bk(a: any, b: number): void;
    protected a7(a: RenderingContext, b: boolean): void;
    dv(): void;
    ds(): void;
    dt(): void;
    dq(): void;
    du(): void;
    dr(): void;
    dp(a: string): void;
    dx(): void;
    private d4;
    d5(a: Marker): Size;
    an(a: any): void;
    getDefaultTooltipTemplate(): string;
}
